Package org.apache.tools.ant.types.resources.selectors

# Class InstanceOf

java.lang.Object
org.apache.tools.ant.types.resources.selectors.InstanceOf

All Implemented Interfaces:
  `ResourceSelector`

    public class InstanceOf
    extends java.lang.Object
    implements ResourceSelector

InstanceOf ResourceSelector.

Since:
  Ant 1.7

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InstanceOf()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.Class<?>` | `getCheckClass()` | Get the comparison class.
`java.lang.String` | `getType()` | Get the comparison type.
`java.lang.String` | `getURI()` | Get the type's URI.
`boolean` | `isSelected​(Resource r)` | Return true if this Resource is selected.
`void` | `setClass​(java.lang.Class<?> c)` | Set the class to compare against.
`void` | `setProject​(Project p)` | Set the Project instance for this InstanceOf selector.
`void` | `setType​(java.lang.String s)` | Set the Ant type to compare against.
`void` | `setURI​(java.lang.String u)` | Set the URI in which the Ant type, if specified, should be defined.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InstanceOf

public InstanceOf()

## Method Details

### setProject

public void setProject​(Project p)
Set the Project instance for this InstanceOf selector.

Parameters:
  `p` - the Project instance used for type comparisons.

### setClass

public void setClass​(java.lang.Class<?> c)
Set the class to compare against.

Parameters:
  `c` - the class.

### setType

public void setType​(java.lang.String s)
Set the Ant type to compare against.

Parameters:
  `s` - the type name.

### setURI

public void setURI​(java.lang.String u)
Set the URI in which the Ant type, if specified, should be defined.

Parameters:
  `u` - the URI.

### getCheckClass

public java.lang.Class<?> getCheckClass()
Get the comparison class.

Returns:
  the Class object.

### getType

public java.lang.String getType()
Get the comparison type.

Returns:
  the String typename.

### getURI

public java.lang.String getURI()
Get the type's URI.

Returns:
  the String URI.

### isSelected

public boolean isSelected​(Resource r)
Return true if this Resource is selected.

Specified by:
  `isSelected` in interface `ResourceSelector`
Parameters:
  `r` - the Resource to check.
Returns:
  whether the Resource was selected.
Throws:
  `BuildException` - if an error occurs.